      program addeqkp0jm
C..Renum EQ daily Mmax, Dkm, Mav, glat,glon set, for the day of Kpmax<3...........June 2022
C
      CHARACTER*64 infile,outfile
C
C+      outfile='addeqkp0jm.res'
C+	infile='addeqkp0jm.txt'
      outfile='addeqkp3jm.res'
	infile='addeqkp3jm.txt'
C
       OPEN(11,file=outfile)
 	OPEN(12,file=infile,action='READ')
C
	ndy=0
C
	DO 41 iev=1,1900
  	read(12,32,end=55) ryear1,lda1,imn1,idy1,glats1,glons1,kmds1
 	+,aeqmax1,eqav1,kk1,knum1,ndy1
            iyear2=int(ryear2)
    2  ndy=ndy+1
      write(*,32) ryear1,lda1,imn1,idy1,glats1,glons1,kmds1
	+,aeqmax1,eqav1,kk1,knum1,ndy
	write(11,32) ryear1,lda1,imn1,idy1,glats1,glons1,kmds1
	+,aeqmax1,eqav1,kk1,knum1,ndy
C
   41 continue
   32 format(1X,F8.3,1X,I3,2(1X,I2),2(1X,F6.2),1X,I4,2(1X,F4.1)
     +,3(1X,I4))
   55	close(unit=12)
	close(unit=11)
	pause ' '
	STOP
	END